openSUSE Security Update: Security update for SDL
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2020:1990-1
Rating:             moderate
References:         #1141844 
Cross-References:   CVE-2019-13616
Affected Products:
                    openSUSE Leap 15.1
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for SDL fixes the following issues:

   Security issue fixed:

   - CVE-2019-13616: Fixed heap-based buffer over-read in BlitNtoN in
     video/SDL_blit_N.c when called from SDL_SoftBlit (bsc#1141844).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.1:

      zypper in -t patch openSUSE-2020-1990=1



Package List:

   - openSUSE Leap 15.1 (i586 x86_64):

      SDL-debugsource-1.2.15-lp151.4.3.1
      libSDL-1_2-0-1.2.15-lp151.4.3.1
      libSDL-1_2-0-debuginfo-1.2.15-lp151.4.3.1
      libSDL-devel-1.2.15-lp151.4.3.1

   - openSUSE Leap 15.1 (x86_64):

      libSDL-1_2-0-32bit-1.2.15-lp151.4.3.1
      libSDL-1_2-0-32bit-debuginfo-1.2.15-lp151.4.3.1
      libSDL-devel-32bit-1.2.15-lp151.4.3.1


References:

   https://www.suse.com/security/cve/CVE-2019-13616.html
   https://bugzilla.suse.com/1141844
_______________________________________________
openSUSE Security Announce mailing list -- [email protected]
To unsubscribe, email [email protected]
List Netiquette: https://en.opensuse.org/openSUSE:Mailing_list_netiquette
List Archives: https://lists.opensuse.org/archives/list/[email protected]